%
% Example 3.5 Simple respirometer
%
% Bob Newell, May 1999
%
global p
%
close all;
p = [ 0.5 1 ];
[ t, x ] = ode45( 'Simple_Respirometer', [ 0 30 ], 8 );
%
figure;
plot( t, x );
set( gca, 'fontsize', 16 );
xlabel( 'Time in hours' );
ylabel( 'DO in mg/l' );
%
figure;
plot( t, p(1)*x./(p(2)+x) );
set( gca, 'fontsize', 16 );
xlabel( 'Time in hours' );
ylabel( 'Respiration Rate in mg/l/h' );
%
print -f1 -deps2 fig3-resp1.eps
print -f2 -deps2 fig3-resp2.eps
%

