%
% chapter 10 exponential filter example
%
load data1.dat;
y = data1(800:1299);
clear data1;
y(122:138) = [];
k = 110:159;
%
figure;
plot( y(k), '+' );
hold on;
%
for a = [ .2 .5 .8 ],
  yhat = Exponential_Filter( y, a );
  plot( yhat(k) );
end;
hold off;
%
sxlabel( '\20Time {\times \24 \it t}' );
sylabel( '\20Data {\times \24 \it y} and filtered {\times \24 \it \hat y}' );
stext( 10, 24, '\20data' );
stext( 3, 21.5, '\20{\24 \alpha} = 0.2' );
stext( 14, 20.25, '\20{\24 \alpha} = 0.5' );
stext( 17, 19, '\20{\24 \alpha} = 0.8' );
%
printsto -f1 -deps2 exfilter.eps
%
