%
% VFA Utilisation Figures (low = 50, high = 100)
%
global p
%
% p = [ 1=Khnfe 2=Kx 3=qfe 4=Kfe 
%       5=qpha 6=Ka 7=Kpp 8=Ypo4
%       9=Xh 10=Xpao ];
p = [ 0.3 0.1 3.0 20.0 3.0 4.0 0.01 0.4 400 1000 ];
% x = [ 1=Xs 2=Sf 3=Sa 4=Xpp 5=Spo4 ];
xo = [ 120 60 50 80 5 ];
%xo = [ 120 60 100 80 5 ];
%
[ t x ] = ode45( 'open_loop_anaerobic_zone', [ 0 2.0 ], xo );
%
figure;
plot( t, x );
ax = axis;
h = line( [ 1.5 1.5 ], ax(3:4) );
set( h, 'linestyle', '--' );
set( gca, 'fontsize', 16 );
xlabel( 'Time in hours' );
ylabel( 'Concentrations in mg/l' );
%
%x( length(x), : )
%
stext( 0.1, xo(1)-5, '\16\it X_S' );
stext( 0.1, xo(2), '\16\it S_F' );
stext( 0.1, xo(3), '\16\it S_A' );
stext( 0.1, xo(4), '\16\it X_{PP}' );
stext( 0.1, xo(5), '\16\it S_{PO4}' );
%
printsto -f1 -deps vfa-low-high.eps
%
