%
% figure 2.2a backwash filter disturbances
%
load effluent_flowrate.dat
load return_flowrate.dat
%
% scale percentages to engineering units
ef = effluent_flowrate(:,2) * 15 / 100; % 0-15 MGD
et = effluent_flowrate(:,1);
rf = return_flowrate(:,2) * 10 / 100; % 0-10 MGD
rt = return_flowrate(:,1);
%
hax = plotyy( et, ef, rt, rf );
axesyy( hax, [ 0 25 0 10 0 20 ], ...
   'Time in hours', ...
   'Effluent flowrate in MGD', ...
   'Backwash flowrate in MGD', 2, ...
   [4 6 8 10], [0 4 8] );
%arrow( [ 8 7 ], [ 6 7 ] );
%arrow( [ 18.5 3 ], [ 20.5 3 ] );
%
printsto -f1 -deps2 fig2-2a.eps
%
