%
% Program for Figure 4.25
%
%------------------------------------------------------------
% plot fitted flux curve with experimental points
%
c = [ 6.8 0.00061 ];
figure;
%
co = 0:100:12000;
fl = c(1) * co .* exp( - c(2) * co ) / 1000 ;
plot( co, fl, '-' );
set( gca, 'fontsize', 16 );
sylabel( '\16Flux (kg/m^2/h)' );
xlabel( 'Concentration (mg/l)' );
%------------------------------------------------------------
%  print out the flux model coefficients
%
disp( 'flux = conc * velocity' );
disp( '     = conc * C1 * exp( - C2 * conc )' );
disp( [ 'where C1 = ' num2str( c(1) ) ' m/h' ] );
disp( [ '      C2 = ' num2str( c(2) ) ' l/mg' ] );
%
%-------------------------------------------------------------
figure;
plot( co, fl./(co/1000), '-' );
set( gca, 'fontsize', 16 );
sylabel( '\16Velocity (m/h)' );
xlabel( 'Concentration (mg/l)' );
%
print -f2 -deps2 fig4-21a.eps
print -f1 -deps2 fig4-21b.eps
%
%-------------------------------------------------------------
% That's All
