%
% Program for Figure 4.22
%
%------------------------------------------------------------
% plot fitted flux curve with experimental points
%
c = [ 6.8 0.00061 0.0061 ];
ci = 200;
figure;
%
co = 0:100:12000;
fl = c(1) * co .* ( exp( - c(2) * ( co - ci ) ) ...
          - exp( - c(3) * ( co - ci ) ) ) / 1000 ;
plot( co, fl, '-' );
axis( [ 0 12000 0 5 ] );
set( gca, 'fontsize', 16 );
sylabel( '\16Flux (kg/m^2/h)' );
xlabel( 'Concentration (mg/l)' );
%------------------------------------------------------------
%  print out the flux model coefficients
%
disp( [ ' C1 = ' num2str( c(1) ) ' m/h' ] );
disp( [ ' C2 = ' num2str( c(2) ) ' l/mg' ] );
disp( [ ' C3 = ' num2str( c(3) ) ' l/mg' ] );
disp( [ ' XI = ' num2str( ci ) ' mg/l' ] );
%
%-------------------------------------------------------------
figure;
plot( co, fl./(co/1000), '-' );
axis( [ 0 12000 0 5 ] );
set( gca, 'fontsize', 16 );
ylabel( 'Velocity (m/h)' );
xlabel( 'Concentration (mg/l)' );
%
print -f2 -deps2 fig4-22.eps
%
%-------------------------------------------------------------
% That's All
