%
%  Figure 7.9
%
%  Third figure in step test section
%
t = 0:.05:4;
tau = 0.25;
zeta = [ 0.3 0.6 2.0 5.0 ];
%
xx = [];
for i=1:length(zeta),
   if zeta > 1
     t1 = tau / ( zeta(i) - sqrt(zeta(i)*zeta(i)-1) );
     t2 = tau / ( zeta(i) + sqrt(zeta(i)*zeta(i)-1) );
     x = 1 + t1 * exp( -t / t1 ) / ( t2 - t1 ) ...
        - t2 * exp( -t / t2 ) / ( t2 - t1 );
  else
     sq = sqrt( 1 - zeta(i) * zeta(i) );
     x = 1 - exp(-zeta(i)*t/tau) .* ...
        ( cos(sq*t/tau) + zeta(i)*sin(sq*t/tau)/sq );
  end;
  xx = [ xx x' ];
end;
figure
plot( t, xx )
set( gca, 'fontsize', 20 );
hold on
h = text( 1.7, 0.75, 'More Damping' )
set( h, 'fontsize', 20 );
ylabel( 'Process Variable' )
xlabel( 'Time' )
hold off
arrow( [ 1.0 1.0 ], [ 1.6  0.6 ] );
%
print -f1 -deps2 damping.eps
%
