%
% Figures 11.9 and 11.10
%
load flow320.dat;
load ss320.dat;
%
% figure 11.9
figure;
time = 150:0.4:900;
flow = spline( flow320(:,1), flow320(:,2), time );
[ n, m ] = size( ss320 );
ss = spline( ss320(1:3:n,1), ss320(1:3:n,2), time );
index = find( ss > 0 );
f = flow(index);
s = ss(index);
plot( f, s, '.' );
set( gca, 'fontsize', 16 );
sxlabel( '\20 Influent flowrate in m^3/day' );
sylabel( '\20 Suspended solids concentration' );
%
printsto -f1 -deps2 swep1.eps
%
% figure 11.10
findex = find( flow320(:,1) > 150 );
sindex = find( ss320(:,1) > 150 );
%
figure;
hax = plotyy( flow320(findex,1), flow320(findex,2)/10000, ...
   ss320(sindex,1), ss320(sindex,2) );
axesyy( hax, [ 150 900 -10 14 0 700 ], ...
   'Time in days', ...
   'Influent flowrate in m^3/day', ...
   'Suspended solids concentration', 2, ...
   [ 2 6 10 14 ], [ 0 100 200 300 ] );
stext( 10, -9, '\16 x10^4' );
%
printsto -f2 -deps2 swep2.eps
%

