%
% figure 14.22 data
%
load qin.dat
load qr.dat
load cout.dat
%
figure;
hax = plotyy( qin(:,1), qin(:,2), cout(:,1), cout(:,2) );
axesyy( hax, [ 0 6 -6 6 0 100 ], ...
   'Time in hours', ...
   'Flowrate in m^3/s', ...
   'Suspended solids in FTU', 2, ...
   [ 0 2 4 6 ], [ 0 20 40 ] ); 
%
hold on;
plot( qr(:,1), qr(:,2), '-' );
hold off;
%
stext( 4.5, 4.6, '\times \16 \it Q_{in}' );
stext( 4.5, 1, '\times \16 \it Q_{r}' );
stext( 4.5, -4.4, '\times \16 \it C_{out}' );
%
printsto -f1 -deps2 fig14-22.eps
%
