%
% Figure 15.14
%
load retflow.dat;
%
figure;
plot( retflow(:,1), retflow(:,2), '-' );
set( gca, 'fontsize', 24 );
xlabel( 'Time in hours' );
ylabel( 'Backwash Flow to Influent in MGD' );
%
print -f1 -deps2 fig15-14a.eps
%
load effflow.dat;
load chlorine.dat;
%
figure;
hax = plotyy( effflow(:,1), effflow(:,2), ...
        chlorine(:,1), chlorine(:,2) );
axesyy( hax, [ 0 25 0 60 0 120 ], ...
   'Time in hours', ...
   'Effluent Flow in MGD', ...
   'Chlorine Residue in ppm', 2, ...
   [ 30 40 50 60 ], [ 0 20 40 60 ] );
%
printsto -f2 -deps2 fig15-14b.eps
%
