%
%  Figure 17.15
%
ss = 0:0.1:15;
rhs = ( 0.7929 - 1.3796 * ss ./ ( 20 + ss ) ) / 0.8069;
va = - 80 * log( rhs );
den = 0.0056 + 0.02874 * ss ./ ( 20 + ss );
tau = ones(size(den)) ./ den;
gain = 0.010086 * exp( - va / 80 ) ./ den;
hax = plotyy( va, tau, va, gain );
axesyy( hax, [ 0 120 0 180 0 1.8 ], ...
   'Air flowrate', ...
   'Time constant', ...
   'Process gain', 0 );
hold on;
plot( [ 8.99 8.99 ], [ 120 150], '-' );
plot( [ 31.5 31.5 ], [ 55 100], '-' );
plot( [ 95.5 95.5 ], [ 10 70], '-' );
hold off;
h = text( 10, 150, 'low' );
set( h, 'fontsize', 16 );
h = text( 15, 55, 'medium' );
set( h, 'fontsize', 16 );
h = text( 97, 40, 'high' );
set( h, 'fontsize', 16 );
arrow( [ 60 70.5 ], [ 45 70.5 ] );
arrow( [ 60 34 ], [ 75 34 ] );
%
ss = [ 1.1 4.4 13.2 ];
va = [ 8.99 31.5 95.5 ];
den = 0.0056 + 0.02874 * ss ./ ( 20 + ss );
tau = ones(size(den)) ./ den
gain = 0.010086 * exp( - va / 80 ) ./ den
gain ./ ( gain(2) * ones(size(gain)) ) 
%
printsto -f1 -deps2 fig17-14.eps
%
