%
% figure 17-27
%   data from thesis of Lindberg p 141
%   nitrate recalibrations adjusted by RBN
%
load amm141.dat
load do141.dat
load ni1x141.dat
load ni2x141.dat
%
figure;
hax = plotyy( ni1x141(:,1), ni1x141(:,2)-11.7, ...
              do141(:,1), do141(:,2) );
axesyy( hax, [ 0 8 -10 20 0 12 ], ...
           'Time in days', ...
           'Nutrients in mg/l', ...
           'DO setpoint in mg/l', 2, ...
           [ 0 5 10 15 20 ], [ 0 1 2 3 ] );
hold on;
plot( amm141(:,1), amm141(:,2) );
plot( ni2x141(:,1), ni2x141(:,2)-3.5 );
hold off;
%
h = text( 5, 18.5, 'Nitrate P2' );
set( h, 'fontsize', 16 );
h = text( 5, 8.5, 'Nitrate P1' );
set( h, 'fontsize', 16 );
h = text( 3.5, -6.0, 'DO setpoint P1' );
set( h, 'fontsize', 16 );
h = text( 3.5, -1.5, 'Ammonia P1' );
set( h, 'fontsize', 16 );
%
printsto -f1 -deps2 fig17-27.eps
%
