%
% figure 24.2
%
load throt.dat;
load standst.dat;
load eddy.dat;
load freq.dat;
%
throt = [ throt+1; [ 100 100 ] ];
standst = [ standst+1; [ 100 100 ] ];
eddy = [ eddy(1:length(eddy)-2,:); [ 100 100 ] ];
freq = [ freq(1:length(freq)-6,:); [ 100 100 ] ];
%
figure(1);
plot( throt(:,1), throt(:,2) );
axis( [ 0 100 0 100 ] );
set( gca, 'fontsize', 20 );
xlabel( 'Percentage of Flow' );
ylabel( 'Percentage of Power' );
%
hold on;
plot( standst(:,1), standst(:,2) );
plot( eddy(:,1), eddy(:,2) );
plot( freq(:,1), freq(:,2) );
hold off;
%
x = 3;
h = text( x+8, 82, 'Throttling' );
set( h, 'fontsize', 20 );
h = text( x+2, 45, 'Starting and' );
set( h, 'fontsize', 20 );
h = text( x+2, 39, 'Stopping' );
set( h, 'fontsize', 20 );
h = text( x+2, 25, 'Eddy-Current' );
set( h, 'fontsize', 20 );
h = text( x+2, 19, 'Coupling' );
set( h, 'fontsize', 20 );
h = text( x+2, 10, 'Frequency' );
set( h, 'fontsize', 20 );
h = text( x+2, 4, 'Control' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 fig24-02.eps
%
