%
% RTD Simulator - Display the Object Data
%
% Bob Newell, January 1996
%
function rtddisp( fname, objects )
[nobjects, n] = size( objects );
%
disp( ' ' );
disp( ['File "' fname '" with ' ...
              num2str(nobjects) ' Objects'] );
disp( ' ' );
%
% just display the info for each object
%
for i = 1:nobjects,
  if objects(i,1) == 1,
    disp( ['Object  ' num2str(i) '. Tracer Injection'] );
    if objects(i,2) == 0,
      disp( '  Type is        impulse' );
    elseif objects(i,2) == 1,
      disp( '  Type is        pulse' );
    elseif objects(i,2) == 2,
      disp( '  Type is        step' );
    end;
    disp( ['  Amount is      ' num2str( objects(i,3) )] );
    disp( ['  Scaling is     ' num2str( objects(i,12) )] );
  elseif objects(i,1) == 2,
    disp( ['Object  ' num2str(i) '. Well-Mixed Tank' ] );
    disp( ['  Volume is      ' num2str( objects(i,2) )] );
    disp( ['  Scaling is     ' num2str( objects(i,12) )] );
  elseif objects(i,1) == 3,
    disp( ['Object  ' num2str(i) '. Plug-Flow Tank' ] );
    disp( ['  Volume is      ' num2str( objects(i,2) )] );
    disp( ['  Dispersion is  ' num2str( objects(i,3) )] );
    disp( ['  Scaling is     ' num2str( objects(i,12) )] );
  elseif objects(i,1) == 4,
    disp( ['Object  ' num2str(i) '. Mixing Tee' ] );
    disp( ['  Scaling is     ' num2str( objects(i,12) )] );
  elseif objects(i,1) == 5,
    disp( ['Object  ' num2str(i) '. Sink' ] );
    disp( ['  Scaling is     ' num2str( objects(i,12) )] );
  end;
  for j = 1:4,
    if objects(i,2*j+2) > 0,
      disp( ['  Output to object ' ...
                num2str( objects(i,2*j+2) ) ...
                ' Flow  ' num2str( objects(i,2*j+3) )] );
    end;
  end;
end;
%
disp( ' ' );
input( 'Press ENTER to continue ...' );
%
return;
