% RESULTS FILE FORMAT
%
% The results are saved as a matrix with 300 rows
% and N+1 columns where N is the number of objects.
%
% Column one is time in days (currently 0 to 3 days
% in steps of 0.01 days).
%
% Columns 2 to N+1 are outlet tracer concentrations
% for objects 1,2,..,N respectively.
%
% The file is ASCII format with a ".dat" extension
% automatically added to the user specified name.

%-------------- above is help info ------------------
%
% RTD Simulator - Write Results File
%
% Bob Newell, January 1996
%
function rtdsave( fname, results )
%
% get a file name
%
newname = input( ['Filename [' fname ...
                  '.dat] in single quotes > '] );
if length(newname) > 0,
  fname = newname;
end;
%
% and now the action
%
eval( [ 'save ' fname '.dat results -ascii' ] );
%
return;
