function t = tdistinv( v, alpha )
% t = tdistinv( v, alpha );
%   gives the value of t for which tdist(t,v) = alpha.
%
%   This is normally tabulated as "Percentage Points of the
%   t-distribution - Values of t in terms of A, v"
%   t for which A(t|v)=0.05 when v=20 is 2.086,
%   the same answer found through T=TDISTINV(20,0.05)
%

% ^ Calls TDISTAUX, TDIST, BETAI, BETACF and GAMMLN  ^

t = fsolve2( 'tdistaux', 2.5, zeros(16,1), [ v, alpha ] );
%
