% Waste Water Treatment Toolbox
% -----------------------------
% WWT Toolbox  Version 1.0
%
%    annnet   - Evaluate ANN neural network
%    betacf   - Used with "tdist[inv]" and "fdist[inv]"
%    betai    - Used with "tdist[inv]" and "fdist[inv]"
%    costcon  - Operating Cost against a Constraint
%    costopt  - Operating Cost about an Optimum
%    cvchar   - Control valve characteristics plus
%    datarec  - Linear Data Reconciliation
%    detrend  - Remove trend from a time series
%    dfdp     - Default gradient calculator for "leasqr"
%    dostr    - DO self-tuning regulator simulation (works?)
%    ellclust - Ellipsoidal clustering
%    euler    - Euler integration with similiar call to ode45
%    fcmalcut - Fuzzy C-means membership grid
%    fcmeans  - Fuzzy C-means clustering
%    fdist    - Probability for given F-value
%    fdistaux - Auxiliary function for "fdist"
%    fdistinv - F-value for given probability
%    fillin   - Replace NaN's in a time series
%    filt     - Filter a time series
%    fitdist  - Simple fit of influent time series
%    fitdistf - Auxiliary function for "fitdist"
%    fitmodel - Simple fit of time series input-output model
%    fitnoise - Simple fit of time series disturbance model
%    fitrbfn  - Fit a radial basis function network
%    fitstep  - Simple fit of time constants to step response
%    fitstepf - Auxiliary function for "fitstep"
%    fitwavnt - Fit a wavelet function network
%    frspec   - Frequency Spectrum of Signal
%    fsolve   - Solve set of nonlinear algebraic equations
%    fsolve2  - Auxiliary function for "fsolve"
%    gammaln  - Auxiliary function for "tdist" and "fdist"
%    gradsrch - Simple steepest descent search
%    imctune  - IMC tuning for PID controllers
%    kmeans   - K-means clustering
%    leasqr   - General nonlinear least squares regression
%    levelfit - Fit one wavenet level, called by "fitwavnt"
%    linesrch - Simple axes-in-turn search
%    linreg   - 2D Linear Regression
%    missing  - Fix Missing Points or Uneven Spacing
%    ne*      - Twelve auxiliary functions for "fsolve"
%    nlreg    - 2D Nonlinear Regression
%    nntrain  - Train an ANN neural network
%    noise    - Generate coloured noise from a model
%    normtest - Tests if data set normally distributed
%    outlier  - Detection and Removal of Outliers
%    pctiles  - Plot and print percentile points of time series
%    plotprbs - Plot a PRBS Signal
%    prbs     - Pseudo-Random Binary Sequence Generator
%    rbfnet   - Evaluate a radial basis function network
%    resdist  - Plot Residuals Distribution
%    rls      - Recursive least-squares algorithm
%    search   - Simple linear search routine
%    season   - Correlogram for Seasonality Detection
%    shcorr   - Shifted correlation between two time series
%    shcorrfn - Auxiliary function for "shcorr"
%    simplex  - Simplex search routine
%    srchstat - Auxiliary function for search routines
%    tdist    - Probability for given t-value
%    tdistaux - Auxiliary function for "tdist"
%    tdistinv - t-value for given probability
%    trend    - Detection and Estimation of Trends
%    usopid   - Simulate PID control of underdamped 2nd order
%    values   - Extracts all values which are not NaN's
%    wavefunc - Generate dyadic wavelet (called by other wavelet functions)
%    wavenet  - Evaluate a wavelet network
%    wwpca    - NIPALS principal components algorithm
%
% Copyright  Newell, 1997
%
